<h1 class="mb-5"><%= @task.name %></h1>

<hr>

<dl class="row">
  <dt class="col-sm-3 mb-1">Description</dt>
  <dd class="col-sm-9 mb-1"><%= @task.description %></dd>

  <dt class="col-sm-3 mb-1">Creator</dt>
  <dd class="col-sm-9 mb-1"><%= @task.creator %></dd>

  <dt class="col-sm-3 mb-1">Performer</dt>
  <dd class="col-sm-9 mb-1"><%= @task.performer %></dd>

  <dt class="col-sm-3 mb-1">Status</dt>
  <dd class="col-sm-9 mb-1"><span class="badge bg-secondary"><%= @task.status %></span></dd>

  <dt class="col-sm-3 mb-1">Completed</dt>
  <dd class="col-sm-9 mb-1">
    <span class="badge <%= @task.completed ? 'bg-success' : 'bg-danger' %>"><%= @task.completed ? 'Yes' : 'No' %></span>
  </dd>
</dl>

<hr>

<div class="mt-5">
  <%= link_to 'Back', tasks_path, class: 'btn btn-primary' %>
  <%= link_to 'Edit', edit_task_path(@task), class: 'btn btn-success' %>
  <%= link_to 'Delete', task_path(@task), method: :delete, data: { confirm: 'Are your sure?' }, class: 'btn btn-danger' %>
</div>
